(function($) {

	"use strict";

	$(window).load(function() {
        setTimeout(function() {
			$(".product-item__thumbnail-placeholder.second_image_enabled").addClass("second_image_loaded");
        }, 300);
	});

	// =============================================================================
	// Shop Archive Buttons Click States
	// =============================================================================

	// Wishlist

	$(document).on('click', '.product-item__description--actions .add_to_wishlist',  function(e) {
		var this_button = $(this);
		this_button.addClass('clicked');
		this_button.parents('.product-item').addClass('adding');
		setTimeout(function() {
        	this_button.addClass('loading');
        }, 400);
		$(document.body).on('added_to_wishlist', function() {
			this_button.removeClass('loading');
			this_button.parents('.product-item').removeClass('adding');
			this_button.removeClass('add_to_wishlist').addClass('added');
			this_button.attr("href", this_button.data("wishlist-url"));
			this_button.children('.tooltip').text(this_button.data("browse-wishlist-text"));
		});
	});


	// Quick View

	$(document).on('click', '.product-item__description--actions .nova_product_quick_view_btn',  function() {
		var this_button = $(this);
		this_button.addClass('clicked');
		this_button.parents('.product-item').addClass('adding');
		setTimeout(function() {
        	this_button.addClass('loading');
        }, 400);

        $(document.body).on('opened_product_quickview', function() {
    		this_button.parents('.product-item').removeClass('adding');
			this_button.removeClass('loading').removeClass('clicked');
		});
	});



	// Add to Cart

	$(document).on('click', '.product-item__description--actions .ajax_add_to_cart, .buttons .add_to_cart_button', function() {
		var this_button = $(this);
		this_button.addClass('clicked');
		this_button.parents('.product-item').addClass('adding');
		setTimeout(function() {
        	this_button.addClass('loading');
        }, 400);
		$(document.body).on('wc_cart_button_updated', function() {
			setTimeout(function(){
		  	this_button.removeClass('loading').removeClass('clicked');
			}, 500);
			this_button.parents('.product-item').removeClass('adding');
			if (this_button.siblings('.added_to_cart').length ) {
				var new_href = this_button.siblings('.added_to_cart').attr("href");
				var new_text = this_button.siblings('.added_to_cart').text();

				this_button.siblings('.added_to_cart').remove();
				this_button.attr("href", new_href);
				this_button.children('.tooltip').text(new_text);
				this_button.removeClass().addClass('button added wc-forward');
			}
		});
	});

})(jQuery);
