jQuery(function($) {

	"use strict";

	function special_effect_button(element) {

		var tween1 = new mojs.Burst({
			parent: 	element,
			count: 		15,
			radius: 	{20:40},
			angle: 		{ 0: 140, easing: mojs.easing.bezier(0.1, 1, 0.3, 1) },
			children: {
				fill: 			nova_js_var.accent_color,
				radius: 		20,
				opacity: 		0.6,
				duration: 	1500,
				easing: 		mojs.easing.bezier(0.1, 1, 0.3, 1)
			}
		});

		// ring animation
		var tween2 = new mojs.Shape({
			parent: 	element,
			type: 			'circle',
			radius: 		{0: 30},
			fill: 			'transparent',
			stroke: 		nova_js_var.accent_color,
			strokeWidth: {10:0},
			opacity: 		0.6,
			duration: 	700,
			easing: 		mojs.easing.sin.out
		});
		tween1.replay();
		tween2.replay();
	}

	$(document).on('click', 'ul.products .product .product-item__description--actions > .nova_product_wishlist_btn',  function() {
		special_effect_button(this);
	});

	$(document).on('click', 'ul.products .product .product-item__description--actions > .nova_product_quick_view_btn',  function() {
		special_effect_button(this);
	});

	$(document).on('click', 'ul.products .product .product-item__description--actions > .button',  function() {
		special_effect_button(this);
	});

});
