<?php

// ============================================
// Panel
// ============================================

// no panel


// ============================================
// Sections
// ============================================

Kirki::add_section( 'footer', array(
    'title'          => esc_html__( 'Footer', 'bellery' ),
    'priority'       => 60,
    'capability'     => 'edit_theme_options',
) );


// ============================================
// Controls
// ============================================

$sep_id  = 48536;
$section = 'footer';

Kirki::add_field( 'bellery', array(
    'type'        => 'select',
    'settings'    => 'footer_template',
    'label'       => esc_html__( 'Footer Template', 'bellery' ),
    'section'     => 'footer',
    'default'     => 'type-mini',
    'priority'    => 10,
    'choices'     => array(
        'type-mini'     => esc_html__( 'Footer Mini', 'bellery' ),
        'type-1'     => esc_html__( 'Footer Widget', 'bellery' ),
    ),
) );

Kirki::add_field( 'bellery', array(
    'type'     => 'textarea',
    'settings' => 'footer_text',
    'label'    => esc_html__( 'Copyright Text', 'bellery' ),
    'section'  => $section,
    'default'  => esc_html__( '© 2019 Bellery All rights reserved. Designed by Novaworks', 'bellery' ),
    'priority' => 10,
) );
