<?php
    if( NOVA_WOOCOMMERCE_IS_ACTIVE ) :
        if( !empty($category_choices) ) :

            Kirki::add_field( 'bellery', array(
                'type'        => 'sortable',
                'settings'    => 'product_categories_megamenu_' . $navItem->ID,
                'label'       => esc_html__( 'Product Categories', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => $default_category_choices,
                'choices'     => $category_choices,
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'separator',
                'settings'    => 'separator_'. $i++,
                'section'     => 'megamenu_' . $navItem->ID,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'checkbox',
                'settings'    => 'product_counter_megamenu_' . $navItem->ID,
                'label'       => esc_html__( 'Show Product Counts', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => '1',
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'checkbox',
                'settings'    => 'thumbnail_shop_megamenu_' . $navItem->ID,
                'label'       => esc_html__( 'Thumbs for Parent Categories', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => '0',
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'checkbox',
                'settings'    => 'subcategories_shop_megamenu_' . $navItem->ID,
                'label'       => esc_html__( 'Display Subcategories', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => '1',
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'separator',
                'settings'    => 'separator_'. $i++,
                'section'     => 'megamenu_' . $navItem->ID,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'toggle',
                'settings'    => 'right_banner_shop_megamenu_' . $navItem->ID,
                'label'       => esc_html__( 'Enable Right Banner', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => 'off',
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'image',
                'settings'    => 'megamenu_right_banner_image_' . $navItem->ID,
                'label'       => esc_html__( 'Banner Image', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                    array(
                        'setting'  => 'right_banner_shop_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );

            Kirki::add_field( 'bellery', array(
                'type'        => 'text',
                'settings'    => 'megamenu_right_banner_url_' . $navItem->ID,
                'label'       => esc_html__( 'Banner Url', 'bellery' ),
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => '#',
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                    array(
                        'setting'  => 'right_banner_shop_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                ),
            ) );


        else :

            Kirki::add_field( 'bellery', array(
                'type'        => 'custom',
                'settings'    => 'no_categories_message_' . $i++,
                'section'     => 'megamenu_' . $navItem->ID,
                'default'     => '<p class="kirki-message">Sorry, there are no categories. In order to customize your categories, go to Dashboard > Products > Categories and create some.</p>',
                'priority'    => 10,
                'active_callback'    => array(
                    array(
                        'setting'  => 'typeof_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => 'shop_mega',
                    ),
                    array(
                        'setting'  => 'enable_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                    array(
                        'setting'  => 'bottom_cta_shop_megamenu_' . $navItem->ID,
                        'operator' => '==',
                        'value'    => true,
                    ),
                )
            ) );

        endif;
    endif;
