<?php
	get_header();
	global $wp_query;

?>
<div class="row small-collapse">
	<div class="small-12 columns">

		<div class="site-content">

			<div class="blog-listing">

				<div class="row">
					<?php if ( 1 == Nova_OP::getOption('blog_sidebar') && is_active_sidebar( 'blog-widget-area' ) && 'left' == Nova_OP::getOption('blog_sidebar_position') ) : ?>
					<div class="small-12 large-3 columns">
						<div class="show-for-large">
							<?php if (is_active_sidebar( 'blog-widget-area' )) : ?>
								<?php get_sidebar(); ?>
							<?php endif; ?>
						</div>
					</div>
					<?php endif; ?>

					<div class="small-12 <?php echo ( 1 == Nova_OP::getOption('blog_sidebar') && is_active_sidebar( 'blog-widget-area' ) ) ? 'large-9' : 'large-12' ?> columns site-main-content-wrapper">
						<div class="site-main-content">

							<div class="blog-articles">
								<?php
								if (
									! (( Nova_OP::getOption('blog_highlighted_posts')==1)  &&
									( ($wp_query->found_posts <= 3) || get_option('posts_per_page') <= 3 ))

								):
									if ( have_posts() ) :
										while ( have_posts() ) : the_post();
											get_template_part( 'template-parts/content/content', get_post_format() );
										endwhile;
									else :
										get_template_part( 'template-parts/content/content', 'none' );
									endif;
								endif;
								?>
							</div>

							<?php
							the_posts_navigation(array(
							  'prev_text' => esc_html__( 'Older posts', 'bellery' ),
							  'next_text' => esc_html__( 'Newer posts', 'bellery' ),
							));
							?>

						</div>
					</div>

					<?php if ( 1 == Nova_OP::getOption('blog_sidebar') && is_active_sidebar( 'blog-widget-area' ) && 'right' == Nova_OP::getOption('blog_sidebar_position') ) : ?>
						<div class="small-12 large-3 columns">
							<div class="show-for-large">
								<?php if (is_active_sidebar( 'blog-widget-area' )) : ?>
									<?php get_sidebar(); ?>
								<?php endif; ?>
							</div>
						</div>
					<?php endif; ?>
				</div>

			</div>

		</div>

	</div>
</div>

<?php get_footer();
