<?php get_header(); ?>

<div class="row small-collapse">

	<div class="small-12 columns">

		<div class="site-content single_post_content">
			<div class="row">

				<?php if ( 1 == Nova_OP::getOption('blog_single_sidebar') && is_active_sidebar( 'blog-widget-area' ) && 'left' == Nova_OP::getOption('blog_single_sidebar_position') ) : ?>

					<div class="small-12 large-3 columns">
						<div class="show-for-large">
							<?php if (is_active_sidebar( 'blog-widget-area' )) : ?>
								<?php get_sidebar(); ?>
							<?php endif; ?>
						</div>
					</div>

				<?php endif; ?>

				<div class="small-12 <?php echo ( 1 == Nova_OP::getOption('blog_single_sidebar') && is_active_sidebar( 'blog-widget-area' ) ) ? 'large-8' : 'large-12' ?> columns site-main-content-wrapper">

					<div class="site-main-content">

						<?php
						while ( have_posts() ) : the_post();

							get_template_part( 'template-parts/content/content', 'single' );

						endwhile; // End of the loop.
						?>
						<?php if( get_next_post() || get_previous_post() ) : ?>

							<div class="single_navigation_container">
								<div class="row">
									<div class="single_navigation">
											<div class= "single_navigation_inner">
												<div class="row">
												<?php if( get_previous_post() ) : ?>
														<div class="small-12 <?php echo get_next_post() ? 'medium-6 large-6' : 'medium-12 large-12'; ?> columns">
															<div class="nav-previous"><?php previous_post_link( '%link','<div class="nav-previous-title"><span>'.__( "Previous Post", "bellery" ).'</span></div> <span> %title </span>' ); ?></div>
														</div>
													<?php endif; ?>

													<?php if( get_next_post() ) : ?>
														<div class="small-12 <?php echo get_previous_post() ? 'medium-6 large-6' : 'medium-12 large-12'; ?> columns">
															<div class="nav-next"><?php next_post_link( '%link','<div class="nav-next-title"><span>'.__( "Next Post", "bellery" ).'</span></div> <span> %title </span>' ); ?></div>
														</div>
												<?php endif; ?>
											</div>
											</div>
								    </div>
								</div>
							</div>

						<?php endif; ?>
						<?php if ( comments_open() || get_comments_number() ) : ?>
						<div class="single-comments-container">
							<div class="single-comments-row">
									<div class="single-post-comment-wrap">
											<?php comments_template(); ?>
									</div>
							</div>
						</div>
						<?php endif; ?>
					</div>

				</div>

				<?php if ( 1 == Nova_OP::getOption('blog_single_sidebar') && is_active_sidebar( 'blog-widget-area' ) && 'right' == Nova_OP::getOption('blog_single_sidebar_position') ) : ?>

					<div class="small-12 large-4 columns">
						<div class="show-for-large">
							<?php if (is_active_sidebar( 'blog-widget-area' )) : ?>
								<?php get_sidebar(); ?>
							<?php endif; ?>
						</div>
					</div>

				<?php endif; ?>

			</div>

		</div>

	</div>

</div>


<?php
get_footer();
