<div class="header-mobiles-wrapper mobile-header-<?php echo esc_html(Nova_OP::getOption('header_template')); ?>">
	<header id="header-mobile" class="header-mobiles">

		<div class="header-mobiles-menu">

			<a data-toggle="MenuOffCanvas">
				<svg class="bellery-burger-menu">
			 		<use xlink:href="#bellery-burger-menu"></use>
				</svg>
			</a>

		</div>

		<div class="header-mobiles-branding">

			<?php if ( ! empty( Nova_OP::getOption('header_alt_logo') ) ) : ?>

			<div class="site-logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><img src="<?php echo esc_url( Nova_OP::getOption('header_alt_logo') ); ?>" title="<?php bloginfo('name'); ?>" alt="<?php bloginfo('name'); ?>"></a></div>

			<?php else : ?>

			<div class="site-title">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<?php bloginfo('name'); ?>
				</a>
			</div>

			<?php endif; ?>

		</div>

		<div class="header-mobiles-actions">
			<ul class="header-act">

				<li class="header-mobiles-search">
					<a data-toggle="searchOffCanvas">
						<svg class="svg-icon">
						 <use xlink:href="#bellery-search"></use>
						</svg>
					</a>
				</li>
			</ul>
		</div>

	</header>
	<div id="handheld_bar" class="header-handheld-header-bar">
		<div class="header-handheld__inner">
			<div class="handheld_component handheld_component--dropdown-menu nova_compt_iem nova_com_action--dropdownmenu">
				<a rel="nofollow" class="component-target" href="javascript:;">
					<svg class="bellery-settings-bar">
					 <use xlink:href="#bellery-settings-bar"></use>
					</svg>
				</a>
				<div class="settings-bar-dropdown">
					<?php
						wp_nav_menu(array(
							'theme_location'    => 'nova_topbar_menu',
							'container'         => false,
							'menu_class'        => 'vertical menu drilldown settings-menu',
							'items_wrap'        => '<ul id="%1$s" class="%2$s" data-drilldown data-auto-height="true" data-animate-height="true" data-parent-link="true">%3$s</ul>',
							'link_before'       => '<span>',
							'link_after'        => '</span>',
							'fallback_cb'     	=> '',
							'walker'            => new Foundation_Drilldown_Menu_Walker(),
						));
					?>
				</div>
			</div>
			<?php if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) : ?>
			<?php if ( Nova_OP::getOption('header_user_account') == 1 ) : ?>
			<div class="handheld_component">
				<a class="component-target" href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>">
					<svg class="bellery-user-bar">
					 <use xlink:href="#bellery-user-bar"></use>
					</svg>
      </a>
			</div>
			<?php endif; ?>
			<?php endif; ?>

			<?php if ( NOVA_WISHLIST_IS_ACTIVE ) : ?>
			<?php if ( Nova_OP::getOption('header_wishlist') == 1 ) : ?>
			<div class="handheld_component handheld_component--wishlist nova_compt_iem nova_com_action--wishlist ">
				<a rel="nofollow" class="component-target" href="<?php echo esc_url(YITH_WCWL()->get_wishlist_url()); ?>">
					<svg class="bellery-wishlist-bar">
					 <use xlink:href="#bellery-wishlist-bar"></use>
					</svg>
					<div class="component-target-badget js-count-wishlist-item"><?php echo yith_wcwl_count_products(); ?></div>
				</a>
			</div>
		<?php endif; ?>
		<?php endif; ?>

		<?php if ( NOVA_WOOCOMMERCE_IS_ACTIVE ) : ?>
		<?php if ( Nova_OP::getOption('header_cart') == 1 ) : ?>
			<div class="handheld_component handheld_component--cart nova_compt_iem nova_com_action--cart ">
				<a rel="nofollow" class="component-target" href="<?php echo esc_url(wc_get_cart_url()); ?>">
					<svg class="bellery-bag-bar">
					 <use xlink:href="#bellery-bag-bar"></use>
					</svg>
					<span class="component-target-badget js_count_bag_item"><?php echo esc_html(WC()->cart->get_cart_contents_count()); ?></span>
      </a>
			</div>
		<?php endif; ?>
		<?php endif; ?>

		</div>
	</div>
</div>
